### Constructor

# Soup Auth new

#### Declaration [src]

    SoupAuth*
    soup_auth_new (
      GType type,
      SoupMessage* msg,
      const char* auth_header
    )

#### Description [src]

Creates a new `SoupAuth` of type `type` with the information from `msg` and `auth_header`.

This is called by `SoupSession`; you will normally not create auths yourself.

#### Parameters

`type`

  Type: `GType`

  The type of auth to create (a subtype of `SoupAuth`)

`msg`

  Type: `SoupMessage`

  The `SoupMessage` the auth is being created for.

  The data is owned by the caller of the function.

`auth_header`

  Type: `const char*`

  The WWW-Authenticate/Proxy-Authenticate header.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `SoupAuth`

The new `SoupAuth`, or `NULL` if it could not be created.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.